Bug 311831 - Suspend to RAM on Lenovo Thinkpad X60s does not work out of the box
Suspend to RAM on Lenovo Thinkpad X60s does not work out of the box
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 17:33 EDT by Santtu Pajukanta
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 13:50:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Santtu Pajukanta 2007-09-28 17:33:32 EDT
Description of problem:

Resuming from a Suspend to RAM state fails (hangs) out of the box on a Lenovo 
ThinkPad X60s. This can be fixed manually by appending "acpi_sleep=s3_bios" to 
the kernel command line in /boot/grub/menu.lst, but some kind of an automatic 
fix for future installations would be appreciated.

Version-Release number of selected component (if applicable):

japsu@proomu ~ % uname -a
Linux proomu 2.6.22.7-85.fc7 #1 SMP Fri Sep 21 19:53:05 EDT 2007 i686 i686 
i386 GNU/Linux

Steps to Reproduce:

1. Buy an X60s
2. Install Fedora 7 on it
3. Suspend to RAM using eg. Fn+F4
4. Try to wake the computer up by eg. pressing the Fn button or power switch
  
Actual results:

Suspends fine. Hangs on resume, showing " inux" in yellow text mode letters at 
the top left corner of the display.

Expected results:

Suspends and wakes up normally.
Comment 1 Christopher Brown 2008-01-14 13:04:16 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Santtu Pajukanta 2008-01-14 13:50:15 EST
I replaced F7 with Ubuntu Gutsy in my X60s laptop so I cannot provide 
additional information at this time. Thank you for your interest, though.

I will close the bug for now. I'll try F8 once I get bored enough, to see if 
the problem still exists there.

Note You need to log in before you can comment on or make changes to this bug.